## Administración y ejecución de Acciones.

En esta sección, se describen las principales características del módulo de Acciones para llevar a cabo la ejecución de comandos, procedimientos y tareas, así como su ámbito de aplicación definiendo el contexto.

- **Acción:**
Operación en general que puede ser requerida desde la consola de administración web y que será ejecutada en los clientes
- **Comando**
Acción predefinida en la consola web de OpenGnsys. En esta nueva consola de Opengnsys se pueden añadir nuevos comandos, utilizando la función de "script" de los procedimientos.
- **Procedimiento** (Script)
Secuencia de acciones con sus parámetros de ejecución que puede ser lanzada para ejecutarse sobre cualquier cliente o grupo de clientes. Esta característica se articula a través de los "Scripts"
- **Tarea**
Secuencia de acciones, similar al procedimiento, que se realiza directamente sobre un ámbito de ejecución determinado y que puede ser programada para realizarse en periodos específicos de tiempo.

Para acceder a estas características tenemos tres opciones que determinan su ámbito de aplicación

- **Desde el panel lateral**, donde podemos trabajar directamente con los **Comandos** y **Tareas** para **Crear**, **Editar**, **Eliminar**.
- **Desde el árbol de grupos** donde tendremos acceso al menú de "Ejecutar Script" que nos permitirá realizar dicha acción sobre los objetos contenidos en este grupo.
- **Sobre un cliente determinado**, donde podremos acceder tanto al menú de acciones predefinidas, como al menú de script.

![oggui-acciones_menus.png](../assets/images/screenshots/oggui-acciones_menus.png){ style="display: block; margin: 20px auto; max-width: min(1024px, 100%); height: auto;" }  

!!! warning "Advertencia"
    La nueva consola permite, a pesar de haber seleccionado un grupo en el árbol de grupos, revisar la selección para hacerla más granular, quitando de la lista de clientes objetivo aquellos sobre los que no se quiera llevar a cabo la actividad. El botón "Ejecución Comandos" se habilita cuando hay al menos un cliente seleccionado.

![oggui-acciones_seleccion.png](../assets/images/screenshots/oggui-acciones_seleccion.png){ style="display: block; margin: 20px auto; max-width: min(1024px, 100%); height: auto;" }

## Acciones predefinidas

Desde la ventana de clientes, podemos acceder a las acciones disponibles para un cliente determinado, en función de su estado.

En el ejemplo, observamos que el cliente está encendido por lo tanto las acciones disponibles son:

![oggui-acciones_menu_cliente.png](../assets/images/screenshots/oggui-acciones_menu_cliente.png){ style="float: right; margin: 0 0 15px 20px; max-width: min(350px, 45%); height: auto;" }

- **Apagar**: permite apagar un equipo encendido. En este caso concreto, al estar el icono del cliente amarillo, nos indica que se encuentra iniciado en ogLive
- **Reiniciar**
- **Iniciar Sesión**
- **Crear Imagen**: al encontrarse iniciado en ogLive, nos permite crear una imagen a partir de este equipo, si consideramos que es el equipo modelo.
- **Clonar/desplegar imagen**: las herramientas de clonación y despliegue de imágenes se encuentran disponibles si nos encontramos con un equipo iniciado en ogLive.
- Eliminar Imagen Cache
- **Particionar y Formatear**: el motor de clonación se encuentra disponible, por lo que nos permite trabajar con la estructura del disco
- Inventario Software
- Inventario Hardware
- **Ejecutar script**: así mismo, nos permite ejecutar scripts sobre el cliente, que en este caso, se reducen al ámbito de aplicación de ogLive

<div style="clear: both;"></div>


